import Command, { flags as commandFlags } from '@oclif/command';
export interface IRtolmsConfig {
    reposDir: string;
    authToken: string;
    username: string;
    server?: string;
    database?: string;
    maildrop?: string;
}
export default abstract class BaseCommand extends Command {
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    flags: any;
    args: any;
    getConfigPath(): string;
    getConfig(): Promise<IRtolmsConfig>;
    getConfigDefaults(): Promise<any>;
    configExists(): boolean;
    requireConfig(): Promise<IRtolmsConfig>;
    fuzzyMatchCustomDir: (partialCustomName?: string) => Promise<string | void>;
    getCorePath: () => Promise<string>;
    getCoreCustomSubdirPath: () => Promise<string>;
    getCustomRepos: () => Promise<string[]>;
    getCurrentlyLinkedCustomDir: () => Promise<string | void>;
    promptForCustomerDir: () => Promise<string>;
    init(): Promise<void>;
    finally(): Promise<any>;
}
