import { flags as commandFlags } from '@oclif/command';
import * as Github from '@octokit/rest';
import * as Listr from 'listr';
import BaseCommand, { IRtolmsConfig } from '../../base';
import { IRepoDescriptor } from '../../github';
declare interface IRepoLabel {
    name: string;
    color: string;
    description: string;
}
export default class AddOrgLabels extends BaseCommand {
    static description: string;
    static hidden: boolean;
    static examples: string[];
    static flags: {
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        filter: commandFlags.IOptionFlag<string>;
        'github-query': commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    userConfig: IRtolmsConfig;
    octokit: Github;
    run(): Promise<any>;
    getTargetLabels(): Promise<IRepoLabel[]>;
    getRepoLabels(repo: {
        owner: string;
        repo: string;
    }): Promise<IRepoLabel[]>;
    getReposToModify(): Promise<IRepoDescriptor[]>;
    readonly modifyRepos: (repos: IRepoDescriptor[], targetLabels: IRepoLabel[]) => Promise<any>;
    readonly modifyRepo: (repo: IRepoDescriptor, targetLabels: IRepoLabel[], task: Listr.ListrTaskWrapper) => Promise<any>;
    readonly updateExistingLabels: (repoParam: IRepoDescriptor, targetLabels: IRepoLabel[], task: any) => Promise<any>;
    readonly addMisingLabels: (repoParam: IRepoDescriptor, targetLabels: IRepoLabel[], task: any) => Promise<any>;
}
export {};
