import { flags as commandFlags } from '@oclif/command';
import { OrgsGetTeamsResponseItem } from '@octokit/rest';
import * as Listr from 'listr';
import BaseCommand from '../../base';
import { IRepoDescriptor } from '../../github';
export default class AddReposToTeam extends BaseCommand {
    static description: string;
    static hidden: boolean;
    static examples: string[];
    static args: ({
        name: string;
        required: boolean;
        options?: undefined;
        default?: undefined;
    } | {
        name: string;
        options: string[];
        default: string;
        required?: undefined;
    })[];
    static flags: {
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        filter: commandFlags.IOptionFlag<string>;
        'github-query': commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    readonly modifyRepos: (repos: IRepoDescriptor[], team: {
        id: number;
    }) => Promise<boolean>;
    readonly modifyRepo: (params: any, _task: Listr.ListrTaskWrapper) => Promise<any>;
    readonly getTeam: (params: any) => Promise<OrgsGetTeamsResponseItem>;
}
