import { flags as commandFlags } from '@oclif/command';
import * as Listr from 'listr';
import BaseCommand from '../base';
import { IRepoDescriptor } from '../github';
interface ICloneJob {
    repo: IRepoDescriptor;
    directory: string;
}
export default class Clone extends BaseCommand {
    static description: string;
    static examples: string[];
    static flags: {
        'dry-run': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'auth-type': commandFlags.IOptionFlag<string>;
        concurrency: commandFlags.IOptionFlag<number>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        filter: commandFlags.IOptionFlag<string>;
        'github-query': commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    readonly cloneRepos: (repos: IRepoDescriptor[]) => Promise<ICloneJob[]>;
    readonly cloneRepo: (repoJob: ICloneJob, task: Listr.ListrTaskWrapper) => Promise<any>;
}
export {};
