"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const cliui = require("cliui");
const base_1 = require("../../base");
const utils_1 = require("../../utils");
class ConfigIndex extends base_1.default {
    async run() {
        const userConfig = await this.requireConfig();
        const ui = cliui({
            width: 120,
        });
        ui.div({
            text: 'Location',
            width: 16,
            padding: [1, 2, 1, 0],
            align: 'right',
        }, {
            text: this.getConfigPath(),
            padding: [1, 0, 1, 2],
        });
        Object.entries(userConfig).forEach(([k, v]) => {
            return ui.div({
                text: chalk_1.default.gray(k),
                width: 16,
                padding: [0, 2, 0, 2],
                align: 'right',
            }, {
                text: utils_1.inspect(v),
                padding: [0, 1, 0, 2],
            });
        });
        console.log(ui.toString());
        console.log('');
        return Promise.resolve();
    }
}
ConfigIndex.description = 'Create or modify configuration files';
ConfigIndex.aliases = ['config:list', 'config:index'];
ConfigIndex.flags = Object.assign({}, base_1.default.flags);
exports.default = ConfigIndex;
