"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const fs = require("fs-extra");
const base_1 = require("../../base");
class ConfigSet extends base_1.default {
    async run() {
        const config = await this.requireConfig();
        const configPath = this.getConfigPath();
        const { key, value, } = this.args;
        config[key] = value;
        return fs.writeFile(configPath, JSON.stringify(config, undefined, '  '))
            .then(() => {
            console.log(chalk_1.default `{gray Set {reset \{ "${key}": "${value}" \}} in config at ${configPath}}`);
        });
    }
}
ConfigSet.description = 'Set a configuration key\'s value';
ConfigSet.aliases = ['set', 'config:set'];
ConfigSet.flags = Object.assign({}, base_1.default.flags);
ConfigSet.args = [
    {
        name: 'key',
        description: 'Config key to set',
        required: true,
    },
    {
        name: 'value',
        description: 'The value to set',
        required: true,
    },
];
exports.default = ConfigSet;
