"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../base");
class GetPath extends base_1.default {
    constructor() {
        super(...arguments);
        this.getCustomerDir = async () => {
            let linkTarget = await this.fuzzyMatchCustomDir(this.args.customerName);
            if (!linkTarget) {
                linkTarget = await this.promptForCustomerDir();
            }
            if (typeof linkTarget === 'string') {
                return linkTarget;
            }
            throw new Error('Could not resolve link target');
        };
    }
    async run() {
        const customerDir = await this.getCustomerDir();
        console.log(customerDir);
    }
}
GetPath.description = 'Prints repo directory path for a given customer';
GetPath.aliases = ['path'];
GetPath.args = [
    {
        name: 'customerName',
        description: 'Partial customer name (fuzzy matched to custom repo names)',
        required: false,
    },
];
GetPath.examples = [
    '$ rtolms get-path',
    '$ rtolms get-path fed',
];
GetPath.flags = Object.assign({}, base_1.default.flags);
exports.default = GetPath;
