"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const path = require("path");
const base_1 = require("../base");
const utils_1 = require("../utils"); //tslint:disable-line no-unused no-unused-variable
class Which extends base_1.default {
    async run() {
        const realpath = await this.getCurrentlyLinkedCustomDir();
        const userConfig = await this.requireConfig();
        if (!realpath) {
            console.log('Nothing is currently linked.');
            this.exit(0);
            return;
        }
        const linkedPath = path.relative(userConfig.reposDir, realpath);
        console.log(chalk_1.default `${utils_1.decorateRepoPath(linkedPath)} {gray is currently linked}`);
    }
}
Which.description = 'Prints which customer is currently linked';
Which.flags = Object.assign({}, base_1.default.flags);
exports.default = Which;
