import * as Github from '@octokit/rest';
export interface IRepoDescriptor {
    name: string;
    owner: string;
    repo: string;
    full_name: string;
    ssh_url: string;
    git_url?: string;
    clone_url?: string;
}
declare interface IParamsAuth {
    authToken: string;
}
declare interface IParamsRepoQuery extends IParamsAuth {
    repoQuery: string;
    filter: string;
}
export declare interface IParamsEditRepo extends IParamsAuth {
    name: string;
    owner: string;
    repo: string;
    default_branch: string;
}
export declare interface IParamsAddRepoToTeam extends IParamsAuth {
    team_id: string;
    owner: string;
    repo: string;
    permission?: 'pull' | 'push';
}
export declare interface IParamsHeaders {
    headers: {
        accepts: string;
    };
}
export declare function getAuthenticatedOctokit(params: IParamsAuth): Promise<Github>;
export declare function getReposRaw(params: IParamsRepoQuery): Promise<any[]>;
export declare function getRepos(options: IParamsRepoQuery): Promise<IRepoDescriptor[]>;
export declare function editRepo(params: IParamsEditRepo): Promise<any>;
export declare function addRepoToTeam(params: IParamsAddRepoToTeam): Promise<any>;
export declare function getTeams(params: IParamsAuth): Promise<Github.OrgsGetTeamsResponseItem[]>;
export {};
