"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const sql = require("mssql");
async function executeSqlFile(params, pool) {
    const { filepath, } = params;
    const sqlStr = await fs.readFile(filepath, 'utf8');
    const batchStrings = sqlStr.split(/^go\r?\n?/gmi);
    const request = await pool.request();
    return Promise.all(batchStrings.map(str => {
        return request.batch(str);
    }))
        .then(allResults => {
        return allResults.reduce((acc, res) => {
            acc.recordsets = acc.recordsets.concat(res.recordsets);
            acc.rowsAffected = acc.rowsAffected.concat(res.rowsAffected);
            return acc;
        }, {
            recordsets: [],
            rowsAffected: [],
        });
    });
}
exports.executeSqlFile = executeSqlFile;
async function createConnection(config) {
    return new sql.ConnectionPool(config)
        .connect()
        .catch(err => {
        console.error(err);
    });
}
exports.createConnection = createConnection;
